> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List k8s cluster pools



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools:
    get:
      tags:
        - Managed Kubernetes
      summary: List k8s cluster pools
      operationId: K8sClustersPoolViewSetV2.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_name
          required: true
          description: Cluster name
          schema:
            description: Cluster name
            example: my-cluster
            examples:
              - my-cluster
            title: Cluster Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/K8sClusterPoolV2CollectionSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            k8s_cluster_pool_list = client.cloud.k8s.clusters.pools.list(
                cluster_name="my-cluster",
                project_id=1,
                region_id=7,
            )
            print(k8s_cluster_pool_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tk8sClusterPoolList, err := client.Cloud.K8S.Clusters.Pools.List(\n\t\tcontext.TODO(),\n\t\t\"my-cluster\",\n\t\tcloud.K8SClusterPoolListParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", k8sClusterPoolList.Count)\n}\n"
components:
  schemas:
    K8sClusterPoolV2CollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/K8sClusterPoolV2Serializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: K8sClusterPoolV2CollectionSerializer
      type: object
    K8sClusterPoolV2Serializer:
      properties:
        auto_healing_enabled:
          description: Indicates the status of auto healing
          example: true
          examples:
            - true
          title: Auto Healing Enabled
          type: boolean
        boot_volume_size:
          description: Size of the boot volume
          example: 50
          examples:
            - 50
          title: Boot Volume Size
          type: integer
        boot_volume_type:
          description: Type of the boot volume
          example: ssd_hiiops
          examples:
            - ssd_hiiops
          title: Boot Volume Type
          type: string
        created_at:
          description: Date of function creation
          example: '2023-02-15T11:53:03+03:00'
          examples:
            - '2023-02-15T11:53:03+03:00'
          title: Created At
          type: string
        crio_config:
          additionalProperties:
            type: string
          description: Crio configuration for pool nodes
          example:
            default-ulimits: nofile=1024:2048
          examples:
            - default-ulimits: nofile=1024:2048
          title: Crio Config
          type: object
        flavor_id:
          description: ID of the cluster pool flavor
          example: g1-standard-1-2
          examples:
            - g1-standard-1-2
          title: Flavor Id
          type: string
        id:
          description: UUID of the cluster pool
          example: f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          examples:
            - f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          title: Id
          type: string
        is_public_ipv4:
          description: Indicates if the pool is public
          example: true
          examples:
            - true
          title: Is Public Ipv4
          type: boolean
        kubelet_config:
          additionalProperties:
            type: string
          description: Kubelet configuration for pool nodes
          example:
            podMaxPids: '4096'
          examples:
            - podMaxPids: '4096'
          title: Kubelet Config
          type: object
        labels:
          additionalProperties:
            type: string
          description: Labels applied to the cluster pool
          example:
            my-label: foo
          examples:
            - my-label: foo
          title: Labels
          type: object
        max_node_count:
          description: Maximum node count in the cluster pool
          example: 10
          examples:
            - 10
          title: Max Node Count
          type: integer
        min_node_count:
          description: Minimum node count in the cluster pool
          example: 1
          examples:
            - 1
          title: Min Node Count
          type: integer
        name:
          description: Name of the cluster pool
          example: test
          examples:
            - test
          title: Name
          type: string
        node_count:
          description: Node count in the cluster pool
          example: 2
          examples:
            - 2
          title: Node Count
          type: integer
        servergroup_id:
          default: ''
          description: Server group ID
          example: 1772de21-f013-4b70-9f8f-a518985b3bc2
          examples:
            - 1772de21-f013-4b70-9f8f-a518985b3bc2
          title: Servergroup Id
          type: string
        servergroup_name:
          default: ''
          description: Server group name
          example: my-server-group
          examples:
            - my-server-group
          title: Servergroup Name
          type: string
        servergroup_policy:
          default: ''
          description: Anti-affinity, affinity or soft-anti-affinity server group policy
          example: anti-affinity
          examples:
            - anti-affinity
          title: Servergroup Policy
          type: string
        status:
          description: Status of the cluster pool
          example: Running
          examples:
            - Running
          title: Status
          type: string
        taints:
          additionalProperties:
            type: string
          description: Taints applied to the cluster pool
          example:
            my-taint: bar:NoSchedule
          examples:
            - my-taint: bar:NoSchedule
          title: Taints
          type: object
      required:
        - auto_healing_enabled
        - boot_volume_size
        - boot_volume_type
        - created_at
        - crio_config
        - flavor_id
        - id
        - is_public_ipv4
        - kubelet_config
        - max_node_count
        - min_node_count
        - name
        - node_count
        - status
        - labels
        - taints
      title: K8sClusterPoolV2Serializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````